io.netty.handler.codec.redis

## Class DefaultLastBulkStringRedisContent

- java.lang.Object
- - io.netty.buffer.DefaultByteBufHolder
  - - io.netty.handler.codec.redis.DefaultBulkStringRedisContent
    - - io.netty.handler.codec.redis.DefaultLastBulkStringRedisContent

All Implemented Interfaces:
  io.netty.buffer.ByteBufHolder, BulkStringRedisContent, LastBulkStringRedisContent, RedisMessage, io.netty.util.ReferenceCounted

    @UnstableApi
    public final class DefaultLastBulkStringRedisContent
    extends DefaultBulkStringRedisContent
    implements LastBulkStringRedisContent

A default implementation for `LastBulkStringRedisContent`.

### Field Summary

### Fields inherited from interface io.netty.handler.codec.redis.LastBulkStringRedisContent

`EMPTY_LAST_CONTENT`

### Constructor Summary

Constructors
Constructor and Description
`DefaultLastBulkStringRedisContent(io.netty.buffer.ByteBuf content)` Creates a `DefaultLastBulkStringRedisContent` for the given `content`.

### Method Summary

All Methods Instance Methods Concrete Methods
`LastBulkStringRedisContent` `copy()`
`LastBulkStringRedisContent` `duplicate()`
`LastBulkStringRedisContent` `replace(io.netty.buffer.ByteBuf content)`
`LastBulkStringRedisContent` `retain()`
`LastBulkStringRedisContent` `retain(int increment)`
`LastBulkStringRedisContent` `retainedDuplicate()`
`LastBulkStringRedisContent` `touch()`
`LastBulkStringRedisContent` `touch(Object hint)`

### Methods inherited from class io.netty.handler.codec.redis.DefaultBulkStringRedisContent

`toString`

### Methods inherited from class io.netty.buffer.DefaultByteBufHolder

`content, contentToString, equals, hashCode, refCnt, release, release`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.netty.buffer.ByteBufHolder

`content`

### Methods inherited from interface io.netty.util.ReferenceCounted

`refCnt, release, release`

### Constructor Detail

#### DefaultLastBulkStringRedisContent

    public DefaultLastBulkStringRedisContent(io.netty.buffer.ByteBuf content)

Creates a `DefaultLastBulkStringRedisContent` for the given `content`.

Parameters:
  `content` - the content, can be `null`.

### Method Detail

#### copy

    public LastBulkStringRedisContent copy()

Specified by:
  `copy` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `copy` in interface `BulkStringRedisContent`
Specified by:
  `copy` in interface `LastBulkStringRedisContent`
Overrides:
  `copy` in class `DefaultBulkStringRedisContent`

#### duplicate

    public LastBulkStringRedisContent duplicate()

Specified by:
  `duplicate` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `duplicate` in interface `BulkStringRedisContent`
Specified by:
  `duplicate` in interface `LastBulkStringRedisContent`
Overrides:
  `duplicate` in class `DefaultBulkStringRedisContent`

#### retainedDuplicate

    public LastBulkStringRedisContent retainedDuplicate()

Specified by:
  `retainedDuplicate` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retainedDuplicate` in interface `BulkStringRedisContent`
Specified by:
  `retainedDuplicate` in interface `LastBulkStringRedisContent`
Overrides:
  `retainedDuplicate` in class `DefaultBulkStringRedisContent`

#### replace

    public LastBulkStringRedisContent replace(io.netty.buffer.ByteBuf content)

Specified by:
  `replace` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `replace` in interface `BulkStringRedisContent`
Specified by:
  `replace` in interface `LastBulkStringRedisContent`
Overrides:
  `replace` in class `DefaultBulkStringRedisContent`

#### retain

    public LastBulkStringRedisContent retain()

Specified by:
  `retain` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retain` in interface `BulkStringRedisContent`
Specified by:
  `retain` in interface `LastBulkStringRedisContent`
Specified by:
  `retain` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `retain` in class `DefaultBulkStringRedisContent`

#### retain

    public LastBulkStringRedisContent retain(int increment)

Specified by:
  `retain` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `retain` in interface `BulkStringRedisContent`
Specified by:
  `retain` in interface `LastBulkStringRedisContent`
Specified by:
  `retain` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `retain` in class `DefaultBulkStringRedisContent`

#### touch

    public LastBulkStringRedisContent touch()

Specified by:
  `touch` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `touch` in interface `BulkStringRedisContent`
Specified by:
  `touch` in interface `LastBulkStringRedisContent`
Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `touch` in class `DefaultBulkStringRedisContent`

#### touch

    public LastBulkStringRedisContent touch(Object hint)

Specified by:
  `touch` in interface `io.netty.buffer.ByteBufHolder`
Specified by:
  `touch` in interface `BulkStringRedisContent`
Specified by:
  `touch` in interface `LastBulkStringRedisContent`
Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`
Overrides:
  `touch` in class `DefaultBulkStringRedisContent`